MCharset Struct Reference
Collaboration diagram for MCharset:
[legend]

## Data Fields

unsigned | ref_count
MSymbol | name
int | dimension
int | code_range [16]
int | code_range_min_code
int | no_code_gap
unsigned char | code_range_mask [256]
unsigned | min_code
unsigned | max_code
int | ascii_compatible
int | min_char
int | max_char
int | final_byte
int | revision
MSymbol | method
int * | decoder
MCharTable * | encoder
int | unified_max
MCharset * | parents [8]
int | nparents
unsigned | subset_min_code
unsigned | subset_max_code
int | subset_offset
int | simple
int | fully_loaded

## Field Documentation

## ref_count

unsigned MCharset::ref_count

## name

MSymbol MCharset::name

## dimension

int MCharset::dimension

## code_range

int MCharset::code_range[16]

## code_range_min_code

int MCharset::code_range_min_code

## no_code_gap

int MCharset::no_code_gap

## code_range_mask

unsigned char MCharset::code_range_mask[256]

## min_code

unsigned MCharset::min_code

## max_code

unsigned MCharset::max_code

## ascii_compatible

int MCharset::ascii_compatible

## min_char

int MCharset::min_char

## max_char

int MCharset::max_char

## final_byte

int MCharset::final_byte

## revision

int MCharset::revision

## method

MSymbol MCharset::method

## decoder

int* MCharset::decoder

## encoder

MCharTable* MCharset::encoder

## unified_max

int MCharset::unified_max

## parents

MCharset* MCharset::parents[8]

## nparents

int MCharset::nparents

## subset_min_code

unsigned MCharset::subset_min_code

## subset_max_code

unsigned MCharset::subset_max_code

## subset_offset

int MCharset::subset_offset

## simple

int MCharset::simple

## fully_loaded

int MCharset::fully_loaded